<div class="flex flex-col gap-6">
    <div class=" flex flex-wrap -mx-3 mb-2 ">
        <div class="w-full md:w-1/3 px-3 mb-6 md:mb-0">
            <label class="block uppercase tracking-wide text-gray-700 text-xs font-bold mb-2" for="dni">
                DNI: {{$dni}}
            </label>
            <input class="appearance-none block w-full bg-white-200 text-gray-700 border border-black-200 rounded py-3 px-4 leading-tight focus:outline-none focus:bg-white focus:border-gray-500" wire:change="addDni($event.target.value)" id="dni" name="dni" type="number" maxlength="8" placeholder="Ingrese DNI" required>
            <!-- @error('dni')
                <p class="text-red-500 text-xs italic">{{ $message }}</p>
                @enderror -->
            @error('dni')
            <script>
                Swal.fire({
                    position: 'top-center',
                    icon: 'error',
                    title: '{{ $message }}',
                    showConfirmButton: false,
                    timer: 3000
                })
            </script>
            @enderror

        </div>
        <div class="w-full md:w-1/3 px-3 mb-6 md:mb-0">
            <label class="block uppercase  tracking-wide text-gray-700 text-xs font-bold mb-2" for="nombres">
                NOMBRES<span class="text-red-500">*</span>
            </label>
            <input class="appearance-none uppercase  block w-full  text-gray-700 border border-gray-200 rounded py-3 px-4 leading-tight focus:outline-none focus:bg-white focus:border-gray-500 " id="nombres" name="nombres" type="text" placeholder="" value="{{$nombre}}" required>
            @error('nombres')
            <p class="text-red-500 text-xs italic">{{ $message }}</p>
            @enderror
        </div>
        <div class="w-full md:w-1/3 px-3 mb-6 md:mb-0">
            <label class="block uppercase tracking-wide text-gray-700 text-xs font-bold mb-2" for="apellidos">
                APELLIDOS<span class="text-red-500">*</span>
            </label>
            <input class="appearance-none uppercase block w-full  text-gray-700 border border-gray-200 rounded py-3 px-4 leading-tight focus:outline-none focus:bg-white focus:border-gray-500" id="apellidos" name="apellidos" type="text" placeholder="" value="{{$apellido}}" required>
            @error('apellidos')
            <p class="text-red-500 text-xs italic">{{ $message }}</p>
            @enderror
        </div>
    </div>
    <div class=" flex flex-wrap -mx-3 mb-2 ">

        <div class="w-full md:w-1/3 px-3 mb-6 md:mb-0">
            <label class="block uppercase tracking-wide text-gray-700 text-xs font-bold mb-2" for="empresa">
                ENTIDAD VISITANTE (opcional)
            </label>
            <input class="uppercase block w-full  text-gray-700 border border-gray-200 rounded py-3 px-4 leading-tight focus:outline-none focus:bg-white focus:border-gray-500" id="empresa" name="empresa" type="text" placeholder="" value="{{$empresa}}">
            @error('empresa')
            <p class="text-red-500 text-xs italic">{{ $message }}</p>
            @enderror
        </div>
        {{-- <div class="w-full md:w-1/3 px-3 mb-6 md:mb-0">
            <label class="block uppercase tracking-wide text-gray-700 text-xs font-bold mb-2" for="motivo">
                MOTIVO
                <span class="text-red-500">*</span>
            </label>
            <input class="uppercase block w-full  text-gray-700 border border-gray-200 rounded py-3 px-4 leading-tight focus:outline-none focus:bg-white focus:border-gray-500" id="motivo" name="motivo" type="text" placeholder="" value="{{$motivo}}">
            @error('motivo')
            <p class="text-red-500 text-xs italic">{{ $message }}</p>
            @enderror
        </div>
         --}}

         <div class="w-full md:w-1/3 px-3 mb-6 md:mb-0">
            <label class="block uppercase tracking-wide text-gray-700 text-xs font-bold mb-2" for="motivo" >
                MOTIVO
                <span class="text-red-500">*</span>
            </label>
            <div class="relative">
                <select class="block appearance-none w-full text-gray-700 border border-gray-200 py-3 px-4 pr-8 rounded leading-tight focus:outline-none focus:bg-white focus:border-gray-500" id="motivo" name="motivo" required>
                    <option value=""></option>
                    <option value="Trámite">Trámite</option>
                    <option value="Visita">Visita</option>
                    <option value="Coordinación">Coordinación</option>
                    <option value="Seguimiento">Seguimiento</option>
                    <option value="Reunión">Reunión</option>
                    <option value="Entrevista">Entrevista</option>
                    <option value="Celebración">Celebración</option>
                    <option value="Personales">Personales</option>
                    <option value="Otros">Otros</option>
                </select>
                
                <div class="pointer-events-none absolute inset-y-0 right-0 flex items-center px-2 text-gray-700">
                </div>
            </div>
            @error('motivo')
            <p class="text-red-500 text-xs italic">{{ $message }}</p>
            @enderror
        </div>
        
        <div class="w-full md:w-1/3 px-3 mb-6 md:mb-0" wire:ignore>

            <label for="oficinasgore" class="block uppercase tracking-wide text-gray-700 text-xs font-bold mb-2">OFICINA<span class="text-red-500">*</span></label>
            <select class="form-control appearance-none block w-full  text-gray-700 border border-gray-200 rounded py-3 px-4 leading-tight focus:outline-none focus:bg-whiteß focus:border-gray-500 select2" id="oficinasgore" name="oficinasgore" wire:model.live="oficinaId" required>
                <option value=""></option>
                @foreach($oficinasgore as $oficina)
                    <option value="{{ $oficina->id }}">{{$oficina->abrev_oficina}} - {{ $oficina->nombre_oficina }}</option>
                @endforeach
            </select>
        </div>


    </div>
    <div class="flex flex-wrap -mx-3 mb-2">
        <div class="w-full md:w-1/3 px-3 mb-6 md:mb-0">
            <label class="block uppercase tracking-wide text-gray-700 text-xs font-bold mb-2" for="funcionariosgore">FUNCIONARIO
                <span class="text-red-500">*</span>

            </label>
            <select class="form-control appearance-none block w-full  text-gray-700 border border-gray-200 rounded py-3 px-4 leading-tight focus:outline-none focus:bg-whiteß focus:border-gray-500" name="funcionariosgore" id="funcionariosgore" class="form-control"  id="funcionariosgore" wire:model="funcionarioId" required>
                @if($funcionariosgore->count()==0)
                <option value="">-</option>
                @endif
                @foreach($funcionariosgore as $funcionario)
                    <option value="{{ $funcionario->id }}">{{ $funcionario->nombre }}</option>
                @endforeach
            </select>
        </div>
        <div class="w-full md:w-1/3 px-3 mb-6 md:mb-0">
            <label class="block uppercase tracking-wide text-gray-700 text-xs font-bold mb-2" for="cargo">
                CARGO
                <span class="text-red-500">*</span>
            </label>
            <input class="appearance-none block w-full  text-gray-700 border border-gray-200 rounded py-3 px-4 leading-tight focus:outline-none focus:bg-white focus:border-gray-500" id="cargo" name="cargo" type="text" placeholder="" value="{{$cargo}}" readonly required>
            @error('cargo')
            <p class="text-red-500 text-xs italic">{{ $message }}</p>
            @enderror
        </div>

        <div class="w-full md:w-1/3 px-3 mb-6 md:mb-0">
            <label class="block uppercase tracking-wide text-gray-700 text-xs font-bold mb-2" for="sede">
                SEDE
                <span class="text-red-500">*</span>
            </label>
            <div class="relative">
                <input type="text" value="{{$name_sede}}" class="appearance-none capitalize block w-full  text-gray-700 border border-gray-200 rounded py-3 px-4 leading-tight focus:outline-none focus:bg-white focus:border-gray-500" readonly>
            </div>
        </div>

    </div>
    <div class=" flex flex-wrap -mx-3 mb-2 hidden">

        <div class="w-full md:w-1/3 px-3 mb-6 md:mb-0">
            <label class="block uppercase tracking-wide text-gray-700 text-xs font-bold mb-2" for="piso">
                PISO
                <span class="text-red-500">*</span>
            </label>
            <input class="appearance-none capitalize block w-full  text-gray-700 border border-gray-200 rounded py-3 px-4 leading-tight focus:outline-none focus:bg-white focus:border-gray-500" id="piso" type="text" value="{{$piso}}" readonly>
        </div>

        <div class="w-full md:w-1/3 px-3 mb-6 md:mb-0">
            <label class="block uppercase tracking-wide text-gray-700 text-xs font-bold mb-2" for="fecha_y_hora">
                REGISTRO DE ENTRADA
                <span class="text-red-500">*</span>
            </label>
            <input class="appearance-none block w-full  text-gray-700 border border-gray-200 rounded py-3 px-4 leading-tight focus:outline-none focus:bg-white focus:border-gray-500" id="fecha_y_hora" name="fecha_y_hora" type="datetime-local" placeholder="" value="{{ $fecha_y_hora }}" readonly>
            @error('fecha_y_hora')
            <p class="text-red-500 text-xs italic">{{ $message }}</p>
            @enderror
        </div>

        <div class="w-full md:w-1/3 px-3 mb-6 md:mb-0">
            <label class="block uppercase tracking-wide text-gray-700 text-xs font-bold mb-2" for="personero_id">
                PERSONERO
                <span class="text-red-500">*</span>
            </label>
            <input type="hidden" name="personero_id" value="{{  Auth::user()->id }}" readonly>
            <input class="appearance-none block w-full  text-gray-700 border border-gray-200 rounded py-3 px-4 leading-tight focus:outline-none focus:bg-white focus:border-gray-500" id="personero_id" type="text" value="{{ Auth::user()->name }}" readonly>
        </div>
    </div>

    <script>
        const select = document.getElementById("oficina-select");

        function selectOficina() {
            const selectedOficina = select.value;
            // Puedes hacer algo con el valor seleccionado aquí, como mostrarlo en otro lugar de la página o realizar una acción basada en la selección.
        }
    </script>
    <script>
        document.addEventListener('livewire:load', function(){
            $('.select2').select2();
            $('.select2').on('change', function(){
                @this.set('oficinaId', this.value);
            });
        })
    </script>
    
    

    {{-- <script>
        $(document).ready(function () {
            $('#select2').select2();
            $('#select2').on('change', function (e) {
                var data = $('#select2').select2("val");
            @this.set('oficinas ', data);
            });
        });
    </script> --}}

    @if(session('message'))
    <script>
        Swal.fire({
            position: 'top-center',
            icon: 'success',
            title: 'Se registro correctamente la visita.',
            showConfirmButton: false,
            timer: 1000
        })
    </script>
    @endif
    <script>
        let oficina = document.getElementById('empresa');
        document.getElementById('dni').addEventListener('keypress', function(event) {
            if (event.keyCode === 13) {
                event.preventDefault();

                oficina.focus();
            }
        });
    </script>


</div>

