


<!DOCTYPE html>
<html lang="{{ str_replace('_', '-', app()->getLocale()) }}">
    <head>
        <meta charset="utf-8">
        <meta name="viewport" content="width=device-width, initial-scale=1">
        <meta name="csrf-token" content="{{ csrf_token() }}">

        <title>Gobierno Regional de Puno</title>
        <link href="https://cdn.jsdelivr.net/npm/select2@4.1.0-rc.0/dist/css/select2.min.css" rel="stylesheet" />
        <!-- Fonts -->
        <link rel="preconnect" href="https://fonts.bunny.net">
        <link href="https://fonts.bunny.net/css?family=figtree:400,500,600&display=swap" rel="stylesheet" />

        <!-- Favicon -->
        <script src="https://cdn.jsdelivr.net/gh/alpinejs/alpine@v2.x.x/dist/alpine.min.js" defer></script>

        <!-- DataTables -->
        <link rel="stylesheet" href="plugins/css/jquery.dataTables.min.css">
        <link rel="stylesheet" href="plugins/css/buttons.dataTables.min.css">
        <link rel="stylesheet" href="https://cdn.datatables.net/datetime/1.4.0/css/dataTables.dateTime.min.css">
        <link rel="stylesheet" href="https://cdn.datatables.net/responsive/2.4.1/css/responsive.dataTables.min.css">
        <link rel="stylesheet" href="https://cdn.datatables.net/buttons/2.3.6/css/buttons.dataTables.min.css">
      
        <script src="https://cdn.jsdelivr.net/npm/sweetalert2@11"></script>
        
        <!-- Scripts -->
        @vite(['resources/css/app.css', 'resources/js/app.js'])

        <!-- Styles -->
        @livewireStyles

        <style>
	    </style>
    </head>
    
    <body class="font-sans antialiased">
        <x-banner />

        <div class="min-h-screen bg-gray-100">
           
            @livewire('navigation-menu')

            <!-- Page Content -->
            <main>
                
                <nav>
                    <div class="p-2 sm:ml-64">
                        <div class="border-gray-200 rounded-lg dark:border-gray-700 mt-[4.5rem]">
                            <div id='recipients' class="py-8 px-4 mt-6 lg:mt-0 rounded shadow bg-white  font-sans">
                                <div>
                                    <h2 class="h-16 text-center md:text-3xl text-md text-gray-900 font-sans"><strong>REGISTRO DE VISITAS - GOBIERNO REGIONAL PUNO</strong></h2>
                                </div>
                                <div class="pb-10 relative flex items-center">
                                    <div class="flex-grow border-t border-gray-400"></div>
                                        <span class="flex-shrink mx-4 text-gray-400">Gobierno Regional de Puno</span>
                                    <div class="flex-grow border-t border-gray-400"></div>
                                </div>
                            
            
                                
                                <!-- function hello -->
                                @if(session('message'))
                                    <div class="bg-green-100 border border-green-400 text-green-700 px-4 py-3 rounded relative mb-4" role="alert" id="success-message">
                                        <strong class="font-bold">¡Éxito!</strong>
                                        <span class="block sm:inline">{{ session('message') }}</span>
                                        <span class="absolute top-0 bottom-0 right-0 px-4 py-3">
                                            <svg class="fill-current h-6 w-6 text-green-500" role="button" xmlns="http://www.w3.org/2000/svg" viewBox="0 0 20 20"><title>Close</title><path d="M14.348 5.652a.999.999 0 1 0-1.414 1.414L11 8.414l-1.934 1.934a.999.999 0 1 0 1.414 1.414L12.414 10l1.934 1.934a.999.999 0 1 0 1.414-1.414L13.828 10l1.52-1.52a.999.999 0 0 0 0-1.414z"/></svg>
                                        </span>
                                    </div>
                                    <script>
                                    const successMessage = document.getElementById('success-message');
            
                                    if (successMessage) {
                                        setTimeout(() => {
                                            successMessage.remove();
                                        }, 3000);
                                    }
                                </script>
                                @endif
                                @if(session('error'))
                                    <div class="bg-red-100 border border-red-400 text-red-700 px-4 py-3 rounded relative mb-4" role="alert" id="error-message">
                                        <strong class="font-bold">¡Error!</strong>
                                        <span class="block sm:inline">{{ session('error') }}</span>
                                        <span class="absolute top-0 bottom-0 right-0 px-4 py-3">
                                            <svg class="fill-current h-6 w-6 text-red-500" role="button" xmlns="http://www.w3.org/2000/svg" viewBox="0 0 20 20"><title>Close</title><path d="M14.348 5.652a.999.999 0 1 0-1.414 1.414L11 8.414l-1.934 1.934a.999.999 0 1 0 1.414 1.414L12.414 10l1.934 1.934a.999.999 0 1 0 1.414-1.414L13.828 10l1.52-1.52a.999.999 0 0 0 0-1.414z"/></svg>
                                        </span>
                                    </div>
                                    <script>
                                    
                                    const errorMessage = document.getElementById('error-message');
            
                                    if (errorMessage) {
                                        setTimeout(() => {
                                            errorMessage.remove();
                                        }, 3000);
                                    }
                                </script>
                                @endif
                                <form class="" method="POST" action="{{ route('registrar-visita.store') }}" id="formRegistrarVisita" >
                                    @csrf    
                                    <div class="flex flex-col gap-6 ">
                                       @livewire('registrar-visita2', ['oficinas' => $oficinas, 'sedes' => $sedes, 'funcionario'=>$funcionario])
                                        
                                        <div class="flex flex-col">
                                            <button class="mb-4 mx-auto bg-green-500 hover:bg-green-700 text-white font-bold py-2 px-4 rounded" >
                                                GUARDAR
                                            </button>
                                        </div>
                                    </div>
                                </form>
                                
                            </div>
                        </div>
                    </div>
                </nav>
                <script src="https://cdn.jsdelivr.net/npm/sweetalert2@11"></script>
                <script src="https://code.jquery.com/jquery-3.7.1.min.js" integrity="sha256-/JqT3SQfawRcv/BIHPThkBvs0OEvtFFmqPF/lYI/Cxo=" crossorigin="anonymous"></script>
                <script src="https://cdn.jsdelivr.net/npm/select2@4.1.0-rc.0/dist/js/select2.min.js"></script>
                
                <!-- @if(session('message'))
                    <script>
                        Swal.fire({
                            position: 'top-center',
                            icon: 'success',
                            title: 'Se registro correctamente la visita.',
                            showConfirmButton: false,
                            timer: 1500
                        })
                    </script>
                @endif -->

                <script>
                    $(document).ready(function() {
                        $('.select2').select2();
                    });
                </script>
            
                <script>
                    
                    addEventListener("load", (event) => {
                        document.getElementById('formRegistrarVisita').addEventListener('submit', () => {
                            
                        })
            
                        let dni = document.getElementById('dni');
                        dni.focus();
                    });
            
                </script>


            </main>
        </div>

        @stack('modals')

        @livewireScripts
    </body>
</html>
